Create Forum

POST /internal/admin/comms/v1/forums

Operation id: post__internal_admin_comms_v1_forums

Description

Create Forum

Tags: User Forums

Parameters

Query parameters

NameTypeRequiredDescription
tenantIdstringYestenantId

Security

  • BearerAuth (http / bearer)
    • Enter the token

Responses

200 — OK

Content type: application/json

400 — Bad Request

Content type: application/json

401 — Unauthorized

Content type: application/json

404 — Not Found

Content type: application/json

500 — Internal Server Error

Content type: application/json

Request body

Required: Yes

application/json

Schema

PropertyTypeRequiredDescription
adminOnlybooleanNo
descriptionstringNo
forumIdintegerNo
namestringNo
privatebooleanNo
subscribersarrayNo
{
  "type": "object",
  "properties": {
    "adminOnly": {
      "type": "boolean"
    },
    "description": {
      "type": "string"
    },
    "forumId": {
      "type": "integer"
    },
    "name": {
      "type": "string"
    },
    "private": {
      "type": "boolean"
    },
    "subscribers": {
      "type": "array",
      "items": {
        "type": "object",
        "properties": {
          "tgtPerm": {
            "type": "string"
          },
          "userLogin": {
            "type": "string"
          }
        }
      }
    }
  }
}

Response models

200 — OK

Content type: application/json

Schema

PropertyTypeRequiredDescription
detailsstringNo
forumIdintegerNo
statusCodeintegerNo
{
  "type": "object",
  "properties": {
    "details": {
      "type": "string"
    },
    "forumId": {
      "type": "integer"
    },
    "statusCode": {
      "type": "integer"
    }
  }
}

400 — Bad Request

Content type: application/json

Schema

PropertyTypeRequiredDescription
detailsstringNo
forumIdintegerNo
statusCodeintegerNo
{
  "type": "object",
  "properties": {
    "details": {
      "type": "string"
    },
    "forumId": {
      "type": "integer"
    },
    "statusCode": {
      "type": "integer"
    }
  }
}

401 — Unauthorized

Content type: application/json

Schema

PropertyTypeRequiredDescription
codeintegerNo
messagestringNo
{
  "type": "object",
  "properties": {
    "code": {
      "type": "integer",
      "example": 0
    },
    "message": {
      "type": "string",
      "example": "Success"
    }
  }
}

404 — Not Found

Content type: application/json

Schema

PropertyTypeRequiredDescription
detailsstringNo
forumIdintegerNo
statusCodeintegerNo
{
  "type": "object",
  "properties": {
    "details": {
      "type": "string"
    },
    "forumId": {
      "type": "integer"
    },
    "statusCode": {
      "type": "integer"
    }
  }
}

500 — Internal Server Error

Content type: application/json

Schema

PropertyTypeRequiredDescription
detailsstringNo
forumIdintegerNo
statusCodeintegerNo
{
  "type": "object",
  "properties": {
    "details": {
      "type": "string"
    },
    "forumId": {
      "type": "integer"
    },
    "statusCode": {
      "type": "integer"
    }
  }
}